Liferay DXP 7.1 兼容性列表

Liferay Digital Experience Platform 7.1 仅支持以下配置

应用服务器

  • JBoss EAP 7.1
  • JBoss EAP 7.2
  • tcServer 4.0
  • Tomcat 9.0
  • Weblogic 12c Release 2
  • Websphere 8.5.5 Fix Pack 11+
  • Websphere 9.0
  • Wildfly 10.0
  • Wildfly 11.0
  • Wildfly 14.0
  • Wildfly 16.0

关于和Liferay DXP兼容的应用服务器的配置和限制,详情请参阅Liferay用户指南

数据库

  • Amazon Aurora
  • DB2 10.5
  • DB2 11.1
  • Maria DB 10.2
  • Maria DB 10.4
  • MySQL 5.7
  • Oracle Database 12c Release 2
  • Oracle Database 19c
  • PostgreSQL 9.6
  • PostgreSQL 10
  • PostgreSQL 11
  • SQL Server 2016
  • SQL Server 2017
  • SQL Server 2019
  • Sybase ASE 16

关于和Liferay DXP兼容的数据库的配置和限制,详情请参阅Liferay用户指南

操作系统

  • Alpine Linux 3.8
  • Amazon Linux 2
  • CentOS 7
  • Debian 9
  • IBM AIX 7.1
  • Oracle Linux 6
  • Oracle Linux 7
  • Oracle Solaris 11
  • RedHat Enterprise Linux 7
  • RedHat Enterprise Linux 8
  • SUSE Enterprise Linux 12
  • Ubuntu LTS 16.04
  • Windows Server 2016

 

桌面浏览器

  • Chrome (最新)
  • Edge (最新)
  • Firefox ESR 52
  • Internet Explorer 11
  • Safari 11

关于和Liferay DXP兼容的桌面浏览器的配置和限制,详情请参阅技术支持策略

手机浏览器

  • Chrome (最新)
  • Safari (最新)

 

Liferay仅支持在最新版本的移动端浏览器上的信息访问(比如内容读取和页面导航)、菜单导航、和基本 的模块响应。关于Liferay的移动支持策略,详情请参阅帮助中心

JDK

  • IBM J9 JDK 8
  • Oracle JDK 8
  • Oracle JDK 11 
  • 所有Java Technical Compatibility Kit (TCK) 测试 符合Java11和Java8的编译

JDK认证只针对运行时。创建和编译Liferay DXP项目需要使用JDK8。

云服务

  • Amazon Elastic Compute Cloud (EC2)
  • Amazon Relational Database Service (RDS)
  • Amazon S3
  • Azure Files
  • Azure SQL Databases
  • Azure Virtual Machines
  • Google Cloud Compute
  • Google Cloud SQL

Amazon EC2和RDS仅在Liferay DXP 7.1兼容表里罗列的环境中被支持。

搜索引擎

  • Elasticsearch 6
  • Solr 7

更多详细的兼容性信息包括兼容的连接器版本和必要的补丁级别,请参阅搜索引擎兼容表

备注

只要应用服务器,数据库,JDK和操作系统是如兼容表所述被认证使用的,Liferay DXP不限制VM/Container的使 用。订阅客户建负责合理配置VM/Container。

 

Updated 02/02/2021

Download PDF

这篇文章有帮助吗?
1 人中有 1 人觉得有帮助